[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Grids' (#lcl)

# TStringGridStrings.Insert

Inserts a value in the class instance.

## Declaration

Source position: grids.pas line 1746

`public procedure TStringGridStrings.Insert(`
`Index: Integer;`
`const S: string`
`); override;`

## Arguments

`Index` |  | Ordinal position where the string value would be inserted.
`S` |  | String value that would be inserted in the method.

## Description

Insert is an overridden method in TStringGridStrings. It prevents an insert using the class instance, and raises an EGridException exception with the message 'Cannot insert value'.

## See also

TStrings.Insert